## Package imcode.server.user

Interface Summary
Authenticator
RoleGetter
UserAndRoleRegistry

Class Summary
ChainedLdapUserAndRoleRegistry: Created by IntelliJ IDEA.
DocumentShowSettings: Document show mode.
ExternalizedImcmsAuthenticatorAndUserRegistry
ImcmsAuthenticatorAndUserAndRoleMapper
LdapUserAndRoleRegistry: The documentMapper maps LDAP attributes to Imcms internal user object.
MockRoleGetter
PhoneNumber
PhoneNumberType
RoleDomainObject
RoleId
RoleIds
RolePermissionDomainObject
TestImcmsAuthenticatorAndUserAndRoleMapper
TestRoleDomainObject
TestUserDomainObject
UserDomainObject

Exception Summary
NameTooLongException
RoleAlreadyExistsException
UserAlreadyExistsException
UserAndRoleRegistryException